package com.diagbot.facade;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Component;

import com.diagbot.dto.LisDataDTO;
import com.diagbot.dto.LisRetrieveDTO;
import com.diagbot.dto.LisRetrieveListAllDTO;
import com.diagbot.dto.PacsDataDTO;
import com.diagbot.dto.PacsResultDTO;
import com.diagbot.dto.PacsRetrieveDTO;
import com.diagbot.dto.PacsRetrieveListAllDTO;
import com.diagbot.util.DateUtil;
import com.diagbot.vo.LisArgumentsVO;
import com.diagbot.vo.LisExcelWrapperVO;
import com.diagbot.vo.LisGroupNameVO;
import com.diagbot.vo.PacsArgumentsVO;
import com.diagbot.vo.PacsCheckItemVO;

@Component
public class DockingImportFacade {

	public LisRetrieveListAllDTO lisDockingImport(LisArgumentsVO lisArgumentsVO) {
		// TODO 測試數據
		LisRetrieveListAllDTO lisRetrieveList = new LisRetrieveListAllDTO();
		lisRetrieveList.setAgr(24);
		lisRetrieveList.setName("Tom");
		lisRetrieveList.setPatientNum("123456");
		lisRetrieveList.setSex(0);
		lisRetrieveList.setStartTime("2019-05-01 00:00:00");
		lisRetrieveList.setEndTime("2019-05-31 00:00:00");
		List<LisRetrieveDTO> lisRetrieveDTO = new ArrayList<LisRetrieveDTO>();
		for (int i = 0; i < 10; i++) {
			LisRetrieveDTO list = new LisRetrieveDTO();
			list.setGroupName("呼吸道病毒三联检" + i);
			list.setInspectDoctor("admin" + i);
			list.setInspectTime(DateUtil.now());
			list.setReportTime(DateUtil.now());
			list.setSpecimenType("血清" + i);
			lisRetrieveDTO.add(list);
		}
		lisRetrieveList.setLisRetrieveData(lisRetrieveDTO);

		return lisRetrieveList;
	}

	public LisDataDTO getByGroupNameLisDatas(LisGroupNameVO lisGroupNameVO) {
		// TODO 測試數據
		LisDataDTO lisDataDTO = new LisDataDTO();
		lisDataDTO.setHospitalCode("121365465");
		lisDataDTO.setGroupName("呼吸道病毒三联检");
		List<LisExcelWrapperVO> lisExcelWrapper = new ArrayList<LisExcelWrapperVO>();
		for (int i = 0; i < 10; i++) {
			LisExcelWrapperVO lisExcelWrapperVO = new LisExcelWrapperVO();
			lisExcelWrapperVO.setItemName("糖代谢检查" + i);
			lisExcelWrapperVO.setMax("1" + i);
			lisExcelWrapperVO.setMealName("-空腹血糖(Glu)" + i);
			lisExcelWrapperVO.setMin("" + i);
			lisExcelWrapperVO.setTime("");
			lisExcelWrapperVO.setType("1");
			lisExcelWrapperVO.setUniquemealName("-空腹血糖(Glu)" + i);
			lisExcelWrapperVO.setUniqueName("糖代谢检查" + i);
			lisExcelWrapperVO.setUnit("mo/l");
			lisExcelWrapperVO.setValue("15" + i);
			lisExcelWrapper.add(lisExcelWrapperVO);
		}

		lisDataDTO.setLisExcelWrapper(lisExcelWrapper);
		return lisDataDTO;
	}

	public PacsRetrieveListAllDTO pacsDockingImports(PacsArgumentsVO pacsArgumentsVO) {
		// TODO 測試數據
		PacsRetrieveListAllDTO pacsRetrieveList = new PacsRetrieveListAllDTO();
		pacsRetrieveList.setAgr(24);
		pacsRetrieveList.setName("Tom");
		pacsRetrieveList.setPatientNum("123456");
		pacsRetrieveList.setSex(0);
		pacsRetrieveList.setStartTime("2019-05-01 00:00:00");
		pacsRetrieveList.setEndTime("2019-05-31 00:00:00");
		List<PacsRetrieveDTO> pacsRetrieveDTO = new ArrayList<PacsRetrieveDTO>();
		for (int i = 0; i < 10; i++) {
			PacsRetrieveDTO list = new PacsRetrieveDTO();
			list.setCheckItem("呼吸道病毒三联检" + i);
			list.setCheckNum("123456" + i);
			list.setName("心电图" + i);
			list.setInspectTime(DateUtil.now());
			list.setReportTime(DateUtil.now());
			list.setApplicationNum("8888" + i);
			list.setType(i);
			pacsRetrieveDTO.add(list);
		}
		pacsRetrieveList.setPacsRetrieveData(pacsRetrieveDTO);

		return pacsRetrieveList;
	}

	public PacsDataDTO getByCheckItemPacsDatas(PacsCheckItemVO pacsGroupNameVO) {
		// TODO 測試數據
		PacsDataDTO pacsDataDTO = new PacsDataDTO();
		pacsDataDTO.setHospitalCode("121365465");
		pacsDataDTO.setCheckItem("心电图");
		List<PacsResultDTO> pacsExcelWrapper = new ArrayList<PacsResultDTO>();
		for (int i = 0; i < 10; i++) {
			PacsResultDTO pacsExcelWrapperVO = new PacsResultDTO();
			pacsExcelWrapperVO.setCheckItem("胸部正位" + i);
			pacsExcelWrapperVO.setImagingDiagnose("影像所见" + i);
			pacsExcelWrapperVO.setImagingResults("影像诊断" + i);
			pacsExcelWrapper.add(pacsExcelWrapperVO);
		}

		pacsDataDTO.setPacsResultDTO(pacsExcelWrapper);
		return pacsDataDTO;
	}

}
